Upgrade from v1.25.0 to 1.28 on CentOS 6.6

Forum for questions and support relating to the 1.28.x releases only.
Post Reply
themagicm
Posts: 47
Joined: Sat May 14, 2011 2:53 pm

Upgrade from v1.25.0 to 1.28 on CentOS 6.6

Post by themagicm » Thu Jan 22, 2015 2:25 am

Has anyone attempted this? If so, notes please and how much of an upgrade was it?

User avatar
knight-of-ni
Posts: 2251
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: Upgrade from v1.25.0 to 1.28 on CentOS 6.6

Post by knight-of-ni » Thu Jan 22, 2015 4:13 pm

Can you be more specific on what you intend to accomplish?

ZoneMinder 1.25 -> currently installed from source? from package? Existing system currently running CentOS 6.6 or is it an older version?
ZoneMinder 1.28 -> install from source? install from package in zmrepo? Something else?
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

TehMaliron
Posts: 6
Joined: Mon May 04, 2009 9:54 pm

Re: Upgrade from v1.25.0 to 1.28 on CentOS 6.6

Post by TehMaliron » Thu Jan 22, 2015 7:43 pm

I too am interested in going from 1.25 to 1.28. I'm running Ubuntu 12.04, and I installed from apt-get from the default repo in Ubuntu. I can do the whole "do-release-upgrade" thing and get to 14.04 LTS. Is 1.28 in the default 14.04 Ubuntu repos? Is it possible to upgrade like this without losing all my configs? I really want to avoid having setup the whole system again.

themagicm
Posts: 47
Joined: Sat May 14, 2011 2:53 pm

Re: Upgrade from v1.25.0 to 1.28 on CentOS 6.6

Post by themagicm » Sun Feb 08, 2015 4:59 pm

knnniggett wrote:Can you be more specific on what you intend to accomplish?

ZoneMinder 1.25 -> currently installed from source? from package? Existing system currently running CentOS 6.6 or is it an older version?
ZoneMinder 1.28 -> install from source? install from package in zmrepo? Something else?
Umm....yea. CentOS 6.6 is the current system.

1.25 installed from a package, prefer 1.28 as a package also.

User avatar
knight-of-ni
Posts: 2251
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: Upgrade from v1.25.0 to 1.28 on CentOS 6.6

Post by knight-of-ni » Tue Feb 10, 2015 2:25 am

I guess I did build rpm's for zoneminder 1.25. I had forgotten.

Since the old version is in rpm form, the upgrade should be trivial.
Configure your system for zmrepo, run "yum update", then follow the steps in the README:
http://www.zoneminder.com/wiki/index.ph ... ed_distros
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

themagicm
Posts: 47
Joined: Sat May 14, 2011 2:53 pm

Re: Upgrade from v1.25.0 to 1.28 on CentOS 6.6

Post by themagicm » Tue Feb 10, 2015 2:59 am

Upgrading database to version 1.28.0
Loading config from DB
Saving config to DB
Upgrading DB to 1.26.0 from 1.26.0
ERROR 1060 (42S21) at line 1: Duplicate column name 'Colours'
Output:
Command 'mysql -hlocalhost -uremoved -pdeleted zm < /usr/share/zoneminder/db/zm_update-1.26.0.sql' exited with status: 1

User avatar
knight-of-ni
Posts: 2251
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: Upgrade from v1.25.0 to 1.28 on CentOS 6.6

Post by knight-of-ni » Tue Feb 10, 2015 1:45 pm

Interesting. Does the file /usr/share/zoneminder/db/zm_update-1.26.0.sql look like this one?
https://github.com/ZoneMinder/ZoneMinde ... 1.26.0.sql

It should not error out if you already have the column in your database.

Anyway, this should fix it:

1) Edit the file /usr/share/zoneminder/db/zm_update-1.26.0.sql and comment out lines 1-13. These are the lines of code that add the "Colours" field to your database, which you already have.

2) Run zmupdate.pl again.

3) I expect it to complain about the Deinterlacing column so rinse and repeat. Edit the file /usr/share/zoneminder/db/zm_update-1.26.0.sql and, this time, comment out lines 15-27. These are the lines of code that add the "Deinterlacing" field to your database, which you already have.

4) Run zmupdate.pl again.

It should successfully upgrade you to 1.28.0.
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

themagicm
Posts: 47
Joined: Sat May 14, 2011 2:53 pm

Re: Upgrade from v1.25.0 to 1.28 on CentOS 6.6

Post by themagicm » Tue Feb 10, 2015 1:52 pm

I was going to reply last night..but got busy.

I dropped 1.25's schemas in the db and just created 1.28's db structure per the docs, re-setup my cams in zm and all is well. I appreciate your help! It was as simple as you originally stated. Thanks again!!

User avatar
knight-of-ni
Posts: 2251
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: Upgrade from v1.25.0 to 1.28 on CentOS 6.6

Post by knight-of-ni » Tue Feb 10, 2015 1:57 pm

Excellent. Glad you got it working.
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

Post Reply

Who is online

Users browsing this forum: No registered users and 3 guests